libtorque2_2.4.16+dfsg-1+deb7u4_amd64.deb


Advertisement

Description

libtorque2 - shared library for Torque client and server

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main amd64
Package name libtorque2
Package version 2.4.16+dfsg
Package release 1+deb7u4
Package architecture amd64
Package type deb
Installed size 248 B
Download size 118.05 KB
Official Mirror ftp.br.debian.org
The TORQUE server dispatches jobs across physically separated
machines. It may also be beneficial for single machines to organise
the sequential execution of multiple jobs.
Clients, mom and server all share a certain set of shared libraries
that are combined in this library.

Alternatives

Package Version Architecture Repository
libtorque2_2.4.16+dfsg-1+deb7u4_amd64.deb 2.4.16+dfsg amd64 Debian Security Updates Main
libtorque2_2.4.16+dfsg-1+deb7u4_i386.deb 2.4.16+dfsg i386 Debian Security Updates Main
libtorque2_2.4.16+dfsg-1+deb7u4_i386.deb 2.4.16+dfsg i386 Debian Main
libtorque2 - - -

Requires

Name Value
libc6 >= 2.7

Download

Type URL
Binary Package libtorque2_2.4.16+dfsg-1+deb7u4_amd64.deb
Source Package torque

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libtorque2 deb package:
    # sudo apt-get install libtorque2

Files

Path
/usr/lib/libtorque.so.2
/usr/lib/libtorque.so.2.0.0
/usr/share/doc/libtorque2/changelog.Debian.gz
/usr/share/doc/libtorque2/changelog.gz
/usr/share/doc/libtorque2/copyright

Changelog

2014-10-21 - Salvatore Bonaccorso <carnil@debian.org>
torque (2.4.16+dfsg-1+deb7u4) wheezy-security; urgency=high
* Non-maintainer upload by the Security Team.
* Add CVE-2014-3684.patch patch.
CVE-2014-3684: Within a TORQUE Resource Manager job, the tm_adopt()
TORQUE library call enables a user-built executable calling tm_adopt()
to adopt any session id (and its child processes) regardless of the
session id owner on any node within a job. When a job that includes the
executable calling tm_adopt() exits, the adopted processes are killed
along with the job processes during normal job cleanup. This can enable
a non-root user to kill processes he doesn't own including root-owned
ones on any node in a job. (Closes: #763922)
2014-05-21 - Salvatore Bonaccorso <carnil@debian.org>
torque (2.4.16+dfsg-1+deb7u3) wheezy-security; urgency=high
* Non-maintainer upload by the Security Team.
* Add CVE-2014-0749.patch patch.
CVE-2014-0749: Fix stack-based buffer overflow vulnerability which can
be exploited in order to remotely execute code from an unauthenticated
perspective. (Closes: #748827)
2013-11-11 - Salvatore Bonaccorso <carnil@debian.org>
torque (2.4.16+dfsg-1+deb7u2) wheezy-security; urgency=high
* Non-maintainer upload by the Security Team.
* Add fix-FTBFS-on-kfreebsd.patch patch.
Fix FTBFS on kfreebsd-{amd64,i386} due to use of deprecated header
<nlist.h>. Switch to use <bsd/nlist.h>. (Closes: #725870)
* Add CVE-2013-4495.patch patch.
CVE-2013-4495: the pbs_server daemon would pass some user-input data to
popen() in order to send an email allowing remote privilege escalation.
(Closes: #729333)
2013-10-08 - Salvatore Bonaccorso <carnil@debian.org>
torque (2.4.16+dfsg-1+deb7u1) wheezy-security; urgency=high
* Non-maintainer upload by the Security Team.
* Add CVE-2013-4319.patch.
CVE-2013-4319: remote arbitrary command execution as root on cluster
by a non-priviledged user who is able to run jobs or login to a node
which runs pbs_server or pbs_mon. (Closes: #722306)
2011-08-01 - Dominique Belhachemi <domibel@debian.org>
torque (2.4.16+dfsg-1) unstable; urgency=low
* New upstream release
* This version of TORQUE fixes a problem with MOM's seg-faulting.
2011-07-25 - Dominique Belhachemi <domibel@debian.org>
torque (2.4.15+dfsg-1) unstable; urgency=low
* New upstream release
2011-05-12 - Dominique Belhachemi <domibel@debian.org>
torque (2.4.12+dfsg-3) unstable; urgency=low
* Upload to unstable
* Added tcl85.patch: Fix xpbsmon issue (Closes: #626480)
2011-05-08 - Dominique Belhachemi <domibel@debian.org>
torque (2.4.12+dfsg-2) experimental; urgency=low
* enable gnu_fixes.patch to fix build problems on GNU/Hurd (Closes: #622157)
2011-05-06 - Dominique Belhachemi <domibel@debian.org>
torque (2.4.12+dfsg-1) experimental; urgency=low
* New upstream release
* Bump Standards-Version: 3.9.1
* removed patches because applied upstream
*  gnu-kfreebsd_mach_type.patch
*  manpage_fixes.patch
*  spec_fhs_paths.patch
* Upload to experimental
2011-05-05 - Dominique Belhachemi <domibel@debian.org>
torque (2.4.8+dfsg-10) unstable; urgency=low
* debian/control: added build dependency libreadline-dev
* debian/rules: added configure option --disable-gcc-warnings (Closes: #625408)

See Also

Package Description
libtorrent-dev_0.13.2-1_amd64.deb C++ BitTorrent library by Rakshasa (development files)
libtorrent-rasterbar-dev_0.15.10-1+b1_amd64.deb Development files for libtorrent-rasterbar
libtorrent-rasterbar-doc_0.15.10-1_all.deb Documentation for libtorrent-rasterbar
libtorrent-rasterbar6_0.15.10-1+b1_amd64.deb C++ bittorrent library by Rasterbar Software
libtorrent-ruby1.8_0.3-4_all.deb Transitional package for ruby-rubytorrent
libtorrent-ruby_0.3-4_all.deb Transitional package for ruby-rubytorrent
libtorrent14_0.13.2-1_amd64.deb C++ BitTorrent library by Rakshasa
libtorture-dev_4.0.0~beta2+dfsg1-3.2+deb7u2_amd64.deb Library for running unit tests - development files
libtorture0_4.0.0~beta2+dfsg1-3.2+deb7u2_amd64.deb Library for running Samba 4 unit tests
libtotem-dev_3.0.1-8_amd64.deb Main library for the Totem media player - development files
libtotem-pg-dev_1.4.2-3_amd64.deb Standards-based cluster framework, Totem devel files
libtotem-pg4_1.4.2-3_amd64.deb Standards-based cluster framework, Totem library
libtotem-plparser-dev_3.4.2-1_amd64.deb Totem Playlist Parser library - development files
libtotem-plparser17_3.4.2-1_amd64.deb Totem Playlist Parser library - runtime files
libtotem0_3.0.1-8_amd64.deb Main library for the Totem media player
Advertisement
Advertisement